ScsiCommand Struct Reference

## Data Fields

int | fd
int | autoclose
char * | filename
struct cdrom_generic_command | cgc
union { |
struct request_sense s |
unsigned char u [18] |
} | _sense
struct sg_io_hdr | sg_io

## Field Documentation

## [union]

union { ... } ScsiCommand::_sense

Referenced by scsi_command_init().

## autoclose

int ScsiCommand::autoclose

Referenced by scsi_command_free(), scsi_command_new(), and scsi_command_new_from_fd().

## cgc

struct cdrom_generic_command ScsiCommand::cgc

Referenced by scsi_command_init().

## fd

int ScsiCommand::fd

Referenced by scsi_command_free(), scsi_command_new(), scsi_command_new_from_fd(), and scsi_command_transport().

## filename

char* ScsiCommand::filename

Referenced by scsi_command_free(), and scsi_command_new().

## s

struct request_sense ScsiCommand::s

Referenced by scsi_command_init().

## sg_io

struct sg_io_hdr ScsiCommand::sg_io

Referenced by scsi_command_init(), and scsi_command_transport().

## u

unsigned char ScsiCommand::u[18]

Referenced by scsi_command_init().

The documentation for this struct was generated from the following file:

- dvd.c